Get event schema

Returns the field schema for a specific event's registration form. Use this to determine which fields to include when creating registrations.

Path Parameters
  • event_id
    Type: string
    required

    Unique identifier of the event.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/events/events/{event_id}/schema
curl https://school.fullfabric.cloud/apis/events/events/507f1f77bcf86cd799439011/schema \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "id": "6853fa79f398a6277f9ccf00",
  "sections": [
    {
      "label": "Registration Details",
      "fields": [
        {
          "name": "first_name",
          "label": "First name",
          "description": "",
          "type": "SingleLineText",
          "required": "always"
        },
        {
          "name": "last_name",
          "label": "Last name",
          "description": "",
          "type": "SingleLineText",
          "required": "always"
        },
        {
          "name": "email",
          "label": "Email address",
          "description": "",
          "type": "Email",
          "required": "always"
        },
        {
          "name": "__programme_interest",
          "label": "Programme of interest",
          "description": "",
          "type": "DropDown",
          "required": "never",
          "options": [
            "MBA Full-Time",
            "Executive MBA",
            "MSc Finance",
            "MSc Marketing"
          ]
        }
      ]
    }
  ]
}